java-package 0.24 uploaded

Version 0.24 of java-package has uploaded today. This version has the following changes:

    <li>correction of errors introduced in 0.23 for i386 Sun and Blackdown JDKs plugin support</li>
    
    <li>addition of plugin support for IBM JREs and JDKs on i386 architecture</li>
    

    Apologies to those who experienced issues with 0.23; the errors introduced for i386 users were entirely my own. In enabling architecture-specific pathing for the Java(TM) plugin, I inadvertenly messed up the pathing for the plugin in JDKs. Those of you who noticed can think of it as involuntary sensitivity training to help you sympathize with those of us on non-i386 architectures. 8^)

    For those unfamiliar with java-package, it provides a way for you to package Java(TM) Runtime Environments and Java(TM) Development Kits as Debian packages rather than installing them manually. This allows you to leverage Debian's rich dependency management for Java-based packages. It provides the non-free Java(TM) functionality that the free runtimes for Java(TM) community is working hard to replace with free, open replacements. Think of it as "bridge technology" while things continue to progress in the free efforts.

    Comments

    Comments powered by Disqus